# inferScalaClasspath

open fun inferScalaClasspath(classpath: Iterable<File>): FileCollection

Searches the specified class path for a 'scala-library' Jar, and returns a class path containing a corresponding (same version) 'scala-compiler' Jar and its dependencies.

The returned class path may be empty, or may fail to resolve when asked for its contents.

#### Return

a class path containing a corresponding 'scala-compiler' Jar and its dependencies

#### Parameters

classpath

a class path containing a 'scala-library' Jar